Skip to content

Count open holder positions in a market v2

GET
/markets-v2/{marketOnchainId}/holder-count
curl --request GET \
--url https://api.ethos.network/api/v2/markets-v2/1/holder-count
marketOnchainId
required
integer
> 0 <= 9007199254740991

Successful response

Media typeapplication/json
object
count
required
integer
<= 9007199254740991

Example generated

{
"count": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}